BBSNNRP(8)

NAME
bbsnnrp - BBS Network News Reading Program

SYNOPSIS
bbsnnrp [-h|?] [-v] [-c] [-r [prot:]remotehost] [-p port|path] [-w seconds] [-n] [-a max_arts] [-s max_stats] [-t stdin|nntp] [-g newsgroups] [-m moderator] [-o organization] [-f trust_user] [-F trust_user] nntpserver activefile

DESCRIPTION

Bbsnnrp is a program to extract news articles from remote NNTP server and send(feed) articles extracted to another server (remotely or locally) by talking IHAVE or POST nntp protocol.

When startup, BBSnnrp tries to connect two servers, one is the news article supplier and the other is the article consumer.

OPTIONS

-h|?
    Show help messages.

-v  Verbose mode. All protocol transactions are logged. Default=wont.

-c  Reset active files only. Don't receive artiles. Default=will.

-r [prot:]remotehostname
    Send articles to remotehost. Default=IHAVE:localhost remotehostname is the host where you want to send articles. prot is the NNTP protocol to send articles to. Current supports are IHAVE and POST

-p port_no|path_name
    Send articles to remotehost in port_no. Default=7777. Or Send articles to localhost in path_name. Default=~bbs/innd/.innbbsd. port_no is the port number you want to connect. path_name is the path of a socket file.

-w seconds
    Wait for seconds and run infinitely. Default=only one shot. seconds is the time to wait and greator than 60.

-n  Don't ask innbbsd server and stat articles.

-a max_arts
    Maximum number of articles received for a group each time. Default=100. max_arts is the maximum number of articles you want to receive.

-s max_stats
    Maximum number of articles stated for a group each time. Default=1000. max_stats is the maximum number of articles you want to stat.

-t stdin|nntp
    Type of article sending (feeding). Default=nntp. You can feed extracted articles to nntp socket strem or to stdin directly.

-g newsgroups
    When feed to stdin, newsgroups is the pseudo newsgroup name.

-m moderator
    You can add "Approved: moderator " to article headers when get stdin feed..

-o organization
    Add "Organization: organization " to article headers when get stdin feed.

-f trust_user (From: trust_user)
    Accept stdin feed only when "From: from-user" is the same as trust_user

-F trust_user (From trust_user)
    Accept stdin feed only when "From from-user" is the same as trust_user

FILES
~bbs/innd/activefile,~bbs/innd/bbsnnrp.log

AUTHOR
Shih-Kun Huang (skhuang@csie.nctu.edu.tw)

BUGS
Only servers supporting STAT protocol can process cancel efficiently.

SEE ALSO
innbbsd(8) newsfeeds.bbs(5) nodelist.bbs(5) bntplink(8)